Bug 6226 - lpd queue "clutter" is back!
lpd queue "clutter" is back!
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 1999-10-22 03:06 EDT by Gene Czarcinski
Modified: 2014-03-16 22:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-25 12:01:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 1999-10-22 03:06:31 EDT
I have lpr-0.44-1 installed.

The queue clutter is back and worse than ever (worse than
the original problem)!!

1. As previously, all of these occur with a network attached
printer via an HP JetDirect interface on an ethernet.

2. Files with names of the form lpdtemp_____ are in
/var/spool/lpd/lp/ which are duplicates of cfA_______ files.

3. (THE WORST PROBLEM):  When a file is sent to the printer
it prints BUT the cfA___ and dfA____ files are NOT delete.
Send another file to the printer and the first one prints
again (there are now two sets of files in the queue).  Sets
of files continue to accumulate and the first set is the one
printed each time.

4.  My patience is wearing thin!

5.  At this point, my "best" option is to go back to the
version distributed in the base of cartman since it didn't
leave clutter for too long and it did print correctly.

Comment 1 Gene Czarcinski 1999-10-22 10:36:59 EDT
Additional info --

1. This may be a dup of 6225

2. I have gotten the problem to "go away".  After rebuilding
lpr-0.44-1 and restarting lpr, I found the problem went away.
However, it was back after I rebooted.

I have lpd starting "normally" at system boot time and at startup "OK"
is shown.  What I have found is that if I restart lpd after booting up
is complete, everything works OK.  If I do not, then the queue "jams",
clutter is left in the queue, etc. [as described above].

I tried changing the startup "number" from 60 to 99 so that it would
start later in the bootup process -- result was no change.  That is,
it still jamed and left clutter.

For some reason, the restart has an effect on lpd.

Comment 2 Bill Nottingham 1999-10-25 12:01:59 EDT
Fixed in the 0.46-1 errata.

Note You need to log in before you can comment on or make changes to this bug.